Bug 187459 - i82860_edac status messages fill kernel ring buffer
i82860_edac status messages fill kernel ring buffer
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 187710 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-30 21:51 EST by Steve Snyder
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-28 23:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2006-03-30 21:51:10 EST
Description of problem:

After only a few minutes runtime, the new i82860_edac driver has filled the 
kernel's ring buffer.  Running dmesg now shows nothing but a series of these 

  MC0: drivers/edac/i82860_edac.c: i82860_check()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install kernel-smp-2.6.16-1.2069_FC4 into i860-based system
2. Reboot
3. Run dmesg a few minutes after rebooting
Actual results:

An unending series of status messages from the i82860_edac driver

Expected results:

Driver should report errors, not generate constant output

Additional info:

No entries in /var/log/messages suggest this constant output.
Comment 1 Michael Carney 2006-03-31 15:00:17 EST
Turns out the problem is with the edac_mc module, not i82860_edac. edac_mc is 
compiled with edac_debug_level set to 1, not 0, which is why the messages are 
The fix: .../drivers/edac/edac_mc.c: 
*** edac_mc.c   2006-03-19 21:53:29.000000000 -0800 
--- edac_mc.c.new       2006-03-31 12:01:06.000000000 -0800 
*** 46,52 **** 
  /* Values of 0 to 4 will generate output */ 
! int edac_debug_level = 1; 
--- 46,52 ---- 
  /* Values of 0 to 4 will generate output */ 
! int edac_debug_level = 0; 
Unload i82860_edac and edac_mc, reload edac_mc setting edac_debug_level to 0: 
rmmod i82860_edac 
rmmod edac_mc 
modprobe edac_mc edac_debug_level=0 
Comment 2 Dave Jones 2006-03-31 16:58:43 EST
EDAC_DEBUG was supposed to be disabled. I turned it off in CVS yesterday.
Comment 3 David Timms 2006-04-03 07:48:37 EDT
? duplicate 187710
Comment 4 Jarod Wilson 2006-04-04 14:41:54 EDT
*** Bug 187710 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.